Bug 518637 - Review Request: perl-ExtUtils-XSpp - C++ variant of Perl's XS language
Summary: Review Request: perl-ExtUtils-XSpp - C++ variant of Perl's XS language
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 12:07 UTC by Stepan Kasal
Modified: 2009-09-05 13:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-05 13:17:53 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Stepan Kasal 2009-08-21 12:07:28 UTC
Spec URL: http://kasal.fedorapeople.org/pac_rev/perl-ExtUtils-XSpp.spec
SRPM URL: http://kasal.fedorapeople.org/pac_rev/perl-ExtUtils-0.04-1.fc12.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1620165
%description
ExtUtils::XSpp handles the XS++ language, used to create an extension interface
between Perl and C++ code/library.

This package is a build require for the patest version of perl-Padre.

Comment 1 Stepan Kasal 2009-08-21 12:23:34 UTC
(In reply to comment #0)
> This package is a build require for the patest version of perl-Padre.

a correction: it's a build requirement for latest perl-Wx, 0.92.

Sorry for the mistake.

Comment 2 Parag AN(पराग) 2009-08-23 10:46:23 UTC
will review this.

Comment 3 Parag AN(पराग) 2009-08-24 06:28:11 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1620165
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
63f0aeb67c0bf45bc72ef9ceafde8a2472e766d9  ExtUtils-XSpp-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=12, Tests=37,  2 wallclock secs ( 0.05 usr  0.02 sys +  1.16 cusr  0.11 csys =  1.34 CPU)
+ Package perl-ExtUtils-XSpp-0.04-1.fc12.noarch =>
Provides: perl(ExtUtils::XSpp) = 0.04 perl(ExtUtils::XSpp::Driver) perl(ExtUtils::XSpp::Grammar) perl(ExtUtils::XSpp::Grammar::YappDriver) = 1.05 perl(ExtUtils::XSpp::Node) perl(ExtUtils::XSpp::Node::Access) perl(ExtUtils::XSpp::Node::Argument) perl(ExtUtils::XSpp::Node::Class) perl(ExtUtils::XSpp::Node::Constructor) perl(ExtUtils::XSpp::Node::Destructor) perl(ExtUtils::XSpp::Node::File) perl(ExtUtils::XSpp::Node::Function) perl(ExtUtils::XSpp::Node::Method) perl(ExtUtils::XSpp::Node::Module) perl(ExtUtils::XSpp::Node::Package) perl(ExtUtils::XSpp::Node::Raw) perl(ExtUtils::XSpp::Node::Type) perl(ExtUtils::XSpp::Parser) perl(ExtUtils::XSpp::Typemap) perl(ExtUtils::XSpp::Typemap::parsed) perl(ExtUtils::XSpp::Typemap::reference) perl(ExtUtils::XSpp::Typemap::simple)

Requires: /usr/bin/perl perl >= 0:5.004 perl(Carp) perl(ExtUtils::XSpp::Driver) perl(ExtUtils::XSpp::Grammar) perl(ExtUtils::XSpp::Node) perl(ExtUtils::XSpp::Parser) perl(ExtUtils::XSpp::Typemap) perl(File::Basename) perl(File::Path) perl(Getopt::Long) perl(IO::Handle) perl(base) perl(strict) perl(vars) perl(warnings)

+ Not a GUI application

Suggestions:
1) This is noarch package so remove
optimize="$RPM_OPT_FLAGS"
2) also remove
find $RPM_BUILD_ROOT -name '*.bs' -type f -empty | xargs rm -f

APPROVED.

Comment 4 Stepan Kasal 2009-08-25 09:47:01 UTC
New Package CVS Request
=======================
Package Name: perl-ExtUtils-XSpp
Short Description: C++ variant of Perl's XS language
Owners: kasal
Branches: F-11
InitialCC: perl-sig

Comment 5 Kevin Fenzi 2009-08-26 22:23:14 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.